splash1=image.load("FX/imagenes/splash1.png")

function carga_rapida()
	dofile("OTHER/idioma.lua")
	dofile("APP/explorador/explorador.lua")
	dofile("SYSTEM/consola/consola.lua")
	dofile("SYSTEM/panel/script.lua")
	dofile("APP/NotepadCode/script.lua")
	dofile("APP/WM/script.lua")
	dofile("APP/WM/playlist.lua")
	dofile("APP/visor/script.lua")
	dofile("APP/cam/script.lua")
	dofile("APP/calculadora/script.lua")
	dofile("APP/calendario/script.lua")
	dofile("OTHER/teclado.lua")
	dofile("APP/agenda/script.lua")
	dofile("GAMES/DK/script.lua")
	dofile("GAMES/arka/script.lua")
	dofile("GAMES/battle/script.lua")
	dofile("GAMES/sudoku/script.lua")
	dofile("GAMES/space/script.lua")
	dofile("GAMES/Snake/script.lua")
	dofile("FX/presentacion/usuarios.lua")
	dofile("WWW/news/script.lua")
	dofile("APP/paint/script.lua")
	dofile("WWW/online/funciones.lua")
	dofile("APP/powerpoint/script.lua")
	dofile("APP/MS File Transfer/script.lua")
	dofile("APP/Diccionario/script.lua")
end


function recapitular(texto)
splash1:blit(0,0)
draw.fillrect(100,200,280,20,blanco)
draw.gradrect(100,200,280/26*carga,20,verde,verde,blanco,verde)
draw.rect(100,200,280,20,negro)
screen.print(240,240,texto,0.7,blanco,0,"center")
carga=carga+1
screen.flip()
end

carga=1

function presentacion()
splash2=image.load("FX/imagenes/splash2.png")
loadcallback=nil

if starts==1 then
	dofile("OTHER/idioma.lua")
	recapitular("Cargando idiomas")
	dofile("APP/explorador/explorador.lua")
	recapitular("Preparando exploradores")
	dofile("SYSTEM/consola/consola.lua")
	recapitular("Iniciando consola")
	dofile("SYSTEM/panel/script.lua")
	recapitular("Configurando ajustes")
	dofile("APP/NotepadCode/script.lua")
	recapitular("Iniciando NotepadCode")
	dofile("APP/WM/script.lua")
	recapitular("Iniciando reproductor de música")
	dofile("APP/WM/playlist.lua")
	recapitular("Iniciando PlayList")
	dofile("APP/visor/script.lua")
	recapitular("Iniciando visor de imágenes")
	dofile("APP/cam/script.lua")
	recapitular("Iniciando cámara")
	dofile("APP/calculadora/script.lua")
	recapitular("Iniciando calculadora")
	dofile("APP/calendario/script.lua")
	recapitular("Iniciando calendario")
	dofile("APP/MS File Transfer/script.lua")
	recapitular("Iniciando MS File Transfer")
	dofile("APP/Diccionario/script.lua")
	recapitular("Iniciando Diccionario")
	dofile("OTHER/teclado.lua")
	recapitular("Iniciando teclado QWERTY")
	dofile("APP/agenda/script.lua")
	recapitular("Iniciando agenda")
	dofile("GAMES/DK/script.lua")
	recapitular("Iniciando juego I")
	dofile("GAMES/arka/script.lua")
	recapitular("Iniciando juego II")
	dofile("GAMES/battle/script.lua")
	recapitular("Iniciando juego III")
	dofile("GAMES/sudoku/script.lua")
	recapitular("Iniciando juego IV")
	dofile("GAMES/space/script.lua")
	recapitular("Iniciando juego V")
	dofile("GAMES/Snake/script.lua")
	recapitular("Iniciando juego VI")
	dofile("FX/presentacion/usuarios.lua")
	recapitular("Iniciando juego cuentas de usuario")
	dofile("WWW/news/script.lua")
	recapitular("Iniciando funciones de Internet")
	dofile("APP/paint/script.lua")
	recapitular("Iniciando Paint")
	dofile("WWW/online/funciones.lua")
	recapitular("Cargando funciones de internet")
	dofile("APP/powerpoint/script.lua")
	recapitular("Preparando PSP Power Point")
else
	carga_rapida()
end

parpadeo=0
while true do
parpadeo=parpadeo+0.1
controls.read()
if parpadeo<4 then splash2:blit(0,0) else splash1:blit(0,0) end
if parpadeo>8 then parpadeo=0 end
if controls.press("start") then break end
screen.flip()
end

splash2:free()
splash2=nil
splash1:free()
splash1=nil

usuarios()
end



function spl_close()

spl_ventana:blit(spl_x,spl_y)

spl_ventana:factorscale(spl_scale)

spl_x=spl_x+4
spl_y=spl_y+5
spl_scale=spl_scale-spl_scale/30


if spl_y>250 then splash_close=false spl_ventana:free() spl_ventana=nil end

end

